Eclipse Platform Release 3.7

## org.eclipse.text.edits
Class TextEditCopier

    java.lang.Object
      org.eclipse.text.edits.TextEditCopier

    public final class TextEditCopier

extends Object

Copies a tree of text edits. A text edit copier keeps a map between original and new text edits. It can be used to map a copy back to its original edit.

Since:
  3.0

Constructor Summary
`TextEditCopier(TextEdit edit)` Constructs a new `TextEditCopier` for the given edit.

Method Summary
`TextEdit` `getCopy(TextEdit original)` Returns the copy for the original text edit.
`TextEdit` `perform()` Performs the actual copying.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextEditCopier

    public TextEditCopier(TextEdit edit)

  Constructs a new `TextEditCopier` for the given edit. The actual copy is done by calling `perform`.

  Parameters:
    `edit` - the edit to copy
  See Also:
    `perform()`

Method Detail

### perform

    public TextEdit perform()

  Performs the actual copying.

  Returns:
    the copy

### getCopy

    public TextEdit getCopy(TextEdit original)

  Returns the copy for the original text edit.

  Parameters:
    `original` - the original for which the copy is requested
  Returns:
    the copy of the original edit or `null` if the original isn't managed by this copier

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.